Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: changed headings (from gerund)

...

Expand
titleThis topic describes ...

Table of Contents
maxLevel3
excludeContents

...

HTTP API Basics

Note

If you are upgrading from a version of Cumulus Linux earlier than 3.4.0, the supporting software for the API may not be installed. Install the required software with the following command.

Code Block
languagetext
cumulus@switch:~$ sudo apt-get install python-cumulus-restapi

Then restart the nginx service to apply the API configuration.

Code Block
cumulus@switch:~$ sudo systemctl restart nginx

...